<div class="modal-header">
  <h4 class="modal-title">Création d'un client</h4>
  <button (click)="modal.dismiss()" class="close" aria-label="Close">
    <span aria-hidden="true">&times;</span>
  </button>
</div>
<div class="modal-body">
  <form #customerForm="ngForm" (ngSubmit)="submit(customerForm)">
    <div class="row">
      <div class="col-md-12">
        <div class="form-group">
          <div class="row mb-3">
            <div class="col-md-6">
              <label for="last_name">Nom</label>
              <input id="last_name" class="form-control" name="lastname" type="text" minlength="2" maxlength="50" required ngModel>
            </div>
            <div class="col-md-6">
              <label for="first_name">Prénom</label>
              <input id="first_name" class="form-control" name="firstname" type="text" minlength="2" maxlength="50" required ngModel>
            </div>
          </div>
          <div class="row mb-3">
            <div class="col-md-6">
              <label for="email">Email</label>
              <input id="email" class="form-control" name="email" type="email" maxlength="60" required ngModel>
            </div>
            <div class="col-md-6">
              <label for="phone">Téléphone</label>
              <input id="phone" class="form-control" name="phone" type="text" minlength="7" maxlength="15" required ngModel>
            </div>
          </div>
          <div class="row mb-3">
            <div class="col-md-12">
              <label for="address">Adresse</label>
              <input id="address" class="form-control" name="address" type="text" minlength="5" maxlength="80" required ngModel>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="white-space-20"></div>
    <div class="modal-footer">
      <button type="button" class="btn btn-secondary" (click)="modal.dismiss()">Annuler</button>
      <button class="btn btn-info pull-right" type="submit" [disabled]="!customerForm.form.valid">Ajouter</button>
    </div>
  </form>
</div>
